%Return involute curve as a function of angle
function [ax,ay] = inv_alp(alp)

if(alp>0.1)
    pars = alp;
    th = ams_newtons(@int_inv_alp_theta,alp,pars,1E-8,0.3,1000,1E-8,0);
    [ax,ay] = int_inv_a(th);
elseif(alp>0.01)
    pars = alp;
    th = ams_newtons(@int_inv_alp_theta,alp,pars,1E-8,0.05,1000,1E-8,0);
    [ax,ay] = int_inv_a(th);
else
    ax = cos(alp);
    ay = sin(alp);
end


return

function ret = int_inv_alp_theta(theta,pars)

alp = arg(cos(theta)+theta*sin(theta),sin(theta)-theta*cos(theta));
ret = alp-pars;

return

%involute curve
function [ax,ay] = int_inv_a(theta)

ax = cos(theta)+theta*sin(theta);
ay = sin(theta)-theta*cos(theta);

return