%Aaron M. Schinder
%9 Aug 2015
%A script to output some gears to stl files, for use in matlab.
%The two principal calls here are calculate_gear which outputs an x,y profile, and create_stl
%which takes this profile, a height, and a shaft radius (1/8" in this case) and writes to an stl file.
%The stl files can then be used for 3d printing.

clc
clear all;


fname = '16p16_14a_gear.stl';
name = '16p16_14.5a_gear';
diampitch = 16;
nt1 = 16;
ang = 14.5*pi/180;
[xg1,yg1,jnk,jnk,css1] = calculate_gear(16,nt1,ang,1.00/pi,1.25/pi);
create_stl(fname,name,xg1,yg1,0.125/2.0,0.125,25.4);

fname = '16p12_14a_gear.stl';
name = '16p12_14.5a_gear';
diampitch = 16;
nt1 = 12;
ang = 14.5*pi/180;
[xg1,yg1,jnk,jnk,css1] = calculate_gear(16,nt1,ang,1.00/pi,1.25/pi);
create_stl(fname,name,xg1,yg1,0.125/2.0,0.125,25.4);

fname = '16p20_14a_gear.stl';
name = '16p20_14.5a_gear';
diampitch = 16;
nt1 = 20;
ang = 14.5*pi/180;
[xg1,yg1,jnk,jnk,css1] = calculate_gear(16,nt1,ang,1.00/pi,1.25/pi);
create_stl(fname,name,xg1,yg1,0.125/2.0,0.125,25.4);

fname = '16p24_14a_gear.stl';
name = '16p24_14.5a_gear';
diampitch = 16;
nt1 = 24;
ang = 14.5*pi/180;
[xg1,yg1,jnk,jnk,css1] = calculate_gear(16,nt1,ang,1.00/pi,1.25/pi);
create_stl(fname,name,xg1,yg1,0.125/2.0,0.125,25.4);
