%Aaron M. Schinder
%9 Aug 2015
%Script to demonstrate meshing of two gears
%

clc;
clear all;

%These two gears are use an ANSI diametrical pitch of 16
%This means that a gear of 1" diameter has 16 teeth.
%In this example, the pressure angle is 14.5 degrees
%An animation should play of the two gears rotating, showing you that they mesh without interference.

nt1 = 16;
[xg1,yg1,jnk,jnk,css1] = calculate_gear(16,nt1,14.5*pi/180,1.00/pi,1.25/pi);
nt2 = 12;
[xg2,yg2,jnk,jnk,css2] = calculate_gear(16,nt2,14.5*pi/180,1.00/pi,1.25/pi);

[xg22,yg22] = rot_trans(xg2,yg2,css1.rp+css2.rp,0,2*pi/nt2/2);

figure(1)
clf; hold on;
plot(xg1,yg1,'r');
plot(xg22,yg22,'b');

th = linspace(0,2*pi/3,200);

for I = 1:size(th,2)
    [xg11,yg11] = rot_trans(xg1,yg1,0,0,-th(I));
    [xg22,yg22] = rot_trans(xg2,yg2,css1.rp+css2.rp,0,2*pi/nt2/2+th(I)*nt1/nt2);
    
    figure(2)
    clf; hold on;
    plot(xg11,yg11,'r');
    plot(xg22,yg22,'b');
    drawnow;
end

if(0)
    figure(3);
    clf;
    [tri,xx,yy,zz] = create_mesh(xg11,yg11,0.125,0.125);
    trimesh(tri,xx,yy,zz);
    axis equal;
end

%create_stl('testgear.stl','testgear',xg11,yg11,0.125/2.0,0.125,25.4);
